function [] = plot_hypnogram(hypno, samp_rate, tit)
    % Return plot of the sleep states
    %
    % Parameters:
    %           state       - state of the sleep 
    %                     0 - wake, 
    %                     1 - S1,
    %                     2 - S2,
    %                     3 - S3,
    %                     4 - S4,
    %                     5 - REM,
    %                     6 - movement time
    %                     9 - unscored (artefact)
    
    %% 
    % Define x 
    x = linspace(1, size(hypno, 2), size(hypno, 2));
    
    % Define y
    y = hypno + 1;
    
    % Plot 
    %figure() 
    hold on 
    plot(x , y, 'r');
    ylim([0 11]);
    yticks([1 2 3 4 5 6 7 10]);
    yticklabels({'Wake', 'S1', 'S2', 'S3', 'S4', 'REM', 'Movement time', 'Unscored'});
    xlabel('Sleep record (30s time windows)');
    ylabel('State of the sleep');
    title(tit);
    hold off
end