function [fig] = plot_lags(showpl, Nvars, lags, MSE_lag, AIC_lag, BIC_lag, BIC_show)
    if showpl 

        source = containers.Map([1, 2, 3, 4, 5, 6], {'Fp1M2', 'C3M2', 'O1M2', ...
                                'Fp2M1', 'C4M1', 'O2M1'});
        
        index = reshape(1:6, 2,3).';
        %minlag = min(AIC_lag(:));
        %maxlag = max(AIC_lag(:));
        fig = figure;
        for i = 1:Nvars
            subtit = strcat('Source: ', source(i));
            subplot(3,2,index(i))
            %hold on
            if BIC_show
                yyaxis left
            end
            plot(lags, AIC_lag(:,i), 'ko-','linewid',1,'markerface','k','markersize',3);
            xlabel('Model order');
            xticks(lags);
            ylabel('AIC');
            %ylim([minlag, maxlag]);
            if BIC_show
                yyaxis right
                plot(lags, BIC_lag(:,i), 'o-','linewid',1,'markerface','k','markersize',3);
                ylabel('BIC values');
                legend('AIC', 'BIC', 'Location', 'northeast');
            end
            %title({'Comparison of the AIC and BIC for different lambda parameter', ...
            %       subtit});
            title(subtit);
            %hold off            
        end
        a = axes;
        % t1 = title('Comparison of the AIC and BIC for different model order');
        a.Visible = 'off'; % set(a,'Visible','off');
        t1.Visible = 'on'; % set(t1,'Visible','on');
        % f.Name = 'Comparison of the AIC and BIC for different lambda parameter';

    end
end
