function [fig] = plot_lambdas(showpl, Nvars, lambs, MSE_lamb, AIC_lamb, BIC_lamb, BIC_show)
    if showpl 
        
        source = containers.Map([1, 2, 3, 4, 5, 6], {'Fp1M2', 'C3M2', 'O1M2', ...
                                'Fp2M1', 'C4M1', 'O2M1'});
        
        index = reshape(1:6, 2,3).';
        minlamb = min(AIC_lamb(:));
        maxlamb = max(AIC_lamb(:));
        fig = figure;
        for i = 1:Nvars
            subtit = strcat('Source: ', source(i));
            subplot(3,2,index(i))
            %hold on
            if BIC_show
                yyaxis left
            end
            plot(lambs, AIC_lamb(:,i), 'ko-','linewid',1,'markerface','k','markersize',3);
            xlabel('Lambda values');
            ylabel('AIC');
            ylim([minlamb, maxlamb]);
            if BIC_show
                yyaxis right
                plot(lambs, BIC_lamb(:,i), 'o-','linewid',1,'markerface','k','markersize',3);
                ylabel('BIC values');
                legend('AIC', 'BIC', 'Location', 'southeast');
            else
                %legend('AIC', 'Location', 'southeast');
            end
            %title({'Comparison of the AIC and BIC for different lambda parameter', ...
            %       subtit});
            title(subtit);
            %hold off            
        end
        %xt = 0.1:0.1:1;
        %xtl = cellstr(num2str(xt'))';
        %xticks(xt);
        %xticklabels(xtl);
        %a = axes;
        % t1 = title('Comparison of the AIC and BIC for different lambda parameter');
        %a.Visible = 'off'; % set(a,'Visible','off');
        % t1.Visible = 'on'; % set(t1,'Visible','on');
        % f.Name = 'Comparison of the AIC and BIC for different lambda parameter';

    end
end
