% Returns 
%   matrix X_lag of m x n 
%       where    
%           m: number of rows of X - L (lag)
%           n: number of features of X - 1
%   vector Y -> dependent variable from X for the lasso 
%
% The most recent observation are on the bootom of matrix (X(end , :))
% The most past observation are on the first row of matrix (X(1 , :))
%
% Parameters:
%           X: * matrix of size m x n (Multi dimensional Time Series)
%              * vector if size(X, 2) = 1 
%           L: time lag 
%         ord: the index of order the time series vector in multidim. Time Series 

function [X_lag, Y] = ts_lag(X, L, ord)

ind = 1 : size(X, 2);
%m   = size(X, 1);
%n   = size(X, 2);

Y = X( : , ord)';
% X = X( : , find( ind ~= ord ));

% Y_lag = []; 
X_lag = [];

    for l = 1:L
        X_lag = horzcat(X_lag, X((L+1)-l:end-l, :));
    end    

 Y = Y(L+1:end)';
 
 
%% Old
    %if size(X, 2) == 1
    %    X_lag = X( L + 1 : end, : );
    %else
    %    X_lag = X(1 : end - L , :);
    %end 
end